Download it now!
Bug 96317 - LOKView add a way to copy selection
Summary: LOKView add a way to copy selection
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.beta1
Hardware: All All
: medium normal
Assignee: Pranav Kant
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-07 17:18 UTC by Bastien Nocera
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2015-12-07 17:18:48 UTC
libreoffice-5.1.0.0-9.beta2.fc24

There is no support for getting the text selection out of the buffer.
Comment 1 Bastien Nocera 2015-12-07 17:40:23 UTC
It's available from the C++ API[1] but not the C bindings, which means it's not available for introspection and use in JavaScript, as needed by gnome-documents.

[1]: http://cgit.freedesktop.org/libreoffice/core/tree/libreofficekit/qa/gtktiledviewer/gtktiledviewer.cxx#n555
Comment 2 Commit Notification 2015-12-09 16:38:27 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d7fad258dfde500c5ee99b5f1691172724383bd

tdf#96317: Add API for copy/paste from/to the widget

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-09 16:40:19 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c01ac05618875e812c9f6a18edf5cc6a7909b5e&h=libreoffice-5-1

tdf#96317: Add API for copy/paste from/to the widget

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.